# class Deque<T>

#### package neko.vm

Available on Neko

A message queue for multithread access.

### Constructor

###

`new ()`

Create a message queue for multithread access.

### Methods

###

`add (i:T):Void`

Add a message at the end of the queue.

###

`pop (block:Bool):Null<T>`

Pop a message from the queue head. Either block until a message is available or return immediately with `null`.